# NekoIT company manifesto

## Rules

1. Anything communicable is a document.
2. Absolutes are the real evil.
3. Reformulate. If impossible, reformulate.
4. Promote freedom without delusion.
5. Pursue clarity.

## Truthfulness

Examples of companies that flourished on falsehoods are common. Examples of such companies surviving the lies they served are far less common.

It is critically important to stay truthful and to look into criticism, both the good and the bad of it. It is important to look at it to find the good and the bad it underlines; it is also important to look at it to figure out the root cause of this criticism and either encourage or discourage them.

### Self-criticism

Second guessing oneself is both good and bad. It costs a great deal of time but it brings a more refined product or idea to the table. It probably should however not be done too often. This type of proof-reading should be done at least weeks after the initial information has been written or last corrected if done alone.

### Technical proof-reading for friends

When proof-reading in a friendly context, you should do two passes:

- A full read of the entire document, even with no actual understanding, not fixing anything except typographic errors.
- A second read, annotating and fixing any spotted mistake and writing down any question you have for the original author.
- Submit the question list to the author or look and document the answers in the document yourself.

### Technical proof-reading for customers

A customer is not entitled to taking any form of criticism agreably. As such the focus should be on finding the right questions.

Before any proof-reading, probe how the customer will take edits to fix:

- typographic errors
- unclear formulations
- technical errors

Whatever happens:

- On first read, write questions and the page where it sprung. If you find an answer later write the page.
- On second read, check for strategic mistakes, mistakes that span accross chapters and wrong premises.
- On third read, check for tactical mistakes, mistakes within a chapter or section that have no incidence on the viability of the entire project but threaten one or more decisions.
- Submit any question gathered until this point.
- Do a last read, use all of the questions and answers to rewrite the document or annotate it as necessary.

### Reformulation

Reformulation comes in two main forms:

1. same medium reformulation
2. alternate medium reformulation

The first one consists in rewriting a work or sentense with the same tools, with the same implications, premises and ideas, but with a different vocabulary or grammar.

The second one consists in recreating a work or sentense in a different language, set of ideas or media; keeping implications and premises.

The goal of reformulation are further understanding, clarification, and reach. Understanding, as the reformulation carries the same meaning to anyone that may not have understood the original formulation. Clarification, as the reformulation constraints the plane of ideas of the original formulation further. Reach, as it provides alternate paths to explore the idea as a beginner in a domain or as an outside observer.

## Freedoms

"Freedom" doesn't exist out of its concept. There is no one freedom. A freedom is a set of actions that whenever acted, do not ever impede the ability for someone else to perform them.

### On tradeoffs

Freedoms are made out of compromises. 

For example, being able to cross a crossroad on green signal is a freedom: You are able to cross at the green signal and it doesn't prevent someone else from doing so. However, crossing at the red signal endangers anyone crossing at the green, robing them of their freedom.

It doesn't make freedoms fair or optimal. Should people cross at red lights when the road is deserted? Are the rules flawed? These questions show that while the rules have reasons but also flaws. Any freedom may come with a constraint.

A capacity is a freedom without a constraint.

### On freedom of speech and the limits of freedoms

Freedom of speech is a very powerful freedom. It allows all the forms of criticism, critical decision making and decisive communication.

It is however not unrestricted. You can speak to your leisure in any way that doesn't remove the truthful attribute of another person having this same freedom.

This is the reason for hate speech being prohibited: it impedes someone else's freedom of speech.

Freedom of speech should be used without restrictions to tell factual truths, and with care when addressing matters of taste. If a fact may be misunderstood as a matter of taste, reformulate.

### On law

Law is a tool that people protect in order to protect their freedoms. The protected freedom may not be obvious.

- &laquo;*People protect the law*&raquo; means that without people protecting the law, their freedoms stand unguarded.

- &laquo;*People create the law*&raquo; means that the rules formulated encapsulate the boundaries of their freedom.

- &laquo;*People change the law*&raquo; means that people make mistakes when defining the boundaries of their freedoms, or that the order of the world evolved in a way that makes a law unfit or unworthy to be protected.

- &laquo;*Laws protect people*&raquo; means that provided being properly written, laws constitute a tradeoff between protection and cost so that people's freedoms are protected.

Majority is not a law. Majority is not a truth either. Majority is mostly bikeshedding. One is entitled on his informed opinion.

## Think about the future

The dystopian world of tomorrow is built today, so is the happy future. Each action should be weighted to see if its long term consequences will be positive and who they are negative for.

This is not dissimilar to Google's former motto: &laquo;*Don't be evil*&raquo;.